Draft Facebinder/it: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 7: Line 7:
==Descrizione==
==Descrizione==


Lo strumento Lega facce (Facebinder) crea un oggetto superficie dalle facce selezionate di un oggetto solido. È parametrico, il che significa che se si modifica l'oggetto originale, Lega facce si aggiorna di conseguenza. Se si sposta e ruota il Lega facce, esso rimane collegato ale facce originali.
<div class="mw-translate-fuzzy">
Lega facce (Facebinder) è un oggetto molto semplice composto dalle facce selezionate in altri oggetti. È estratto in modo parametrico. È possibile modificare l'oggetto originale e l'oggetto facebinder si aggiorna di conseguenza. Può quindi essere utilizzato, ad esempio, per produrre una estrusione su un insieme di facce di altri oggetti. In architettura, può essere usato per costruire un oggetto che ricopre diversi pezzi di muri. È possibile spostare e ruotare il facebinder dopo la sua creazione, tutto rimane collegato alle facce originali.
</div>


It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.
It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.

Revision as of 12:41, 25 April 2019

Lega facce

Posizione nel menu
Draft → Lega facce
Ambiente
Draft, Arch
Avvio veloce
F F
Introdotto nella versione
0.14
Vedere anche
Cubo di Part, Muro di Arch

Descrizione

Lo strumento Lega facce (Facebinder) crea un oggetto superficie dalle facce selezionate di un oggetto solido. È parametrico, il che significa che se si modifica l'oggetto originale, Lega facce si aggiorna di conseguenza. Se si sposta e ruota il Lega facce, esso rimane collegato ale facce originali.

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.

Facebinder created from the faces of solid walls

Utilizzo

  1. Selezionare una o più facce in una forma
  2. Premere il pulsante Lega facce, oppure i tasti F, F

Proprietà

Vista

Sono disponibili le Proprietà standard di visualizzazione.

Vedere anche la pagina Campitura.

Dati

Base

  • DatiLabel: nome
  • DatiPlacement: posizionamento del punto base della forma costruita
    • DatiAngle: rotazione intorno all'asse definito in Axis
    • DatiAxis: asse della rotazione
    • DatiPosition: posizione rispetto alle coordinate 0,0,0

The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.

  • To add a face, click on a face of a solid object in the 3D view, and then click on the Add button.
  • To remove a face, select one of the sub-elements in the list, and then click on the Remove button.
  • Press Esc or the OK button to complete the edition.

Options

This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

Properties

Data

  • DatiExtrusion: specifies an extrusion thickness to apply to all faces of the shape.
  • DatiRemove Splitter: if it is true it tries to fuse the internal intersections of the Facebinder when it extruded.
  • DatiSew: if it is true it tries to perform a topological sewing operation on the Facebinder when it extruded.

View

  • VistaPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if VistaDisplay Mode is "Flat Lines".
  • VistaPattern Size: specifies the size of the Draft Pattern.

Script

Lo strumento facebinder può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

Facebinder = makeFacebinder(selectionset, name="Facebinder")
  • Crea un oggetto facebinder dalla selezione data, che è una lista di oggetti selezionati fornita dal metodo FreeCADGui.Selection.getSelectionEx().
  • Vengono prese in considerazione solo le facce selezionate
  • Restituisce l'oggetto appena creato

The thickness of the ShapeString can be added by overwriting its Extrusion attribute; the value is entered in millimeters.

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Esempio:

import FreeCAD, FreeCADGui, Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# Pick any two side faces, and then
selection = FreeCADGui.Selection.getSelectionEx()
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)